Subject: Re: Need help: cron jobs can't access mounted network drives
From: Louis-Luc Le Guerrier <[email-masked]>
To: Rich Elberger <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Aug 2003 15:54:15 -0400 (EDT)

Thanks for the tip. I'm having a look right now...
But what does UNC stand for?

Luc
On Thu, 28 Aug 2003, Rich Elberger wrote:

> This is a windows problem.  Similar tell-tale issue is well explained
> here:
> http://www.denicomp.com/faq.htm#Q21
> 
> It all has to do with login session issues.  Win2k terminal services
> somewhat solved this problem with allowing more than one user to access
> the same mapped drive, but it was essentially a hack.
> 
> Best thing to do in this case is use UNC if possible.
> 
> -- rich
> 
> On Thu, 28 Aug 2003, Louis-Luc Le Guerrier wrote:
> 
> > Hi,
> > I'm using Cygwin on a Windows 2000 Server box. I mount some network
> > drives from other Windows machines's shared directories, and the
> > problem is cron jobs can't access these drives.
> >
> > A given script will access mounted net drives as /cygwin/f/ when
> > manually invoked, but that SAME script will refuse to access the
> > same drives when triggered by a cron job.
> >
> > If I type 'net use' before the cron starts, the status of the network
> > drives is "OK", but if I repeat 'net use' after the cron has triggered the
> > script with failure to access network drives, I then get "Disconnected"
> > as status. However, I'm still able to manually go in /cygwin/f/ and
> > list files, even though the status has become "Disconnected".
> >
> > Anyone knows how to fix this problem?
> > I want to back up these network drives on tape with tar scheduled by
> > cron.
> >
> > TIA.
> > Luc
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Problem reports:       http://cygwin.com/problems.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/